<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});

Route::any('login', 'Api\LoginController@login');
Route::any('test', 'Api\TestController@aa');
Route::any('getHeaderWord', 'Api\HeaderWordController@getHeaderWord');
Route::group(['middleware'=> []],function ($route){
    $route->any('HeaderSettingsAdd', 'Api\HeaderWordController@add');
    $route->any('HeaderSettingsDetail', 'Api\HeaderWordController@detail');

    $route->any('menuAdd', 'Api\SysMenuController@add');
    $route->any('menuEdit', 'Api\SysMenuController@edit');
    $route->any('menuDel', 'Api\SysMenuController@del');
    $route->any('menuList', 'Api\SysMenuController@menuList');
    $route->any('menuMove', 'Api\SysMenuController@menuMove');

    $route->any('employeeAdd', 'Api\EmployeeController@employeeAdd');
    $route->any('employeeEdit', 'Api\EmployeeController@employeeEdit');
    $route->any('employeeDel', 'Api\EmployeeController@employeeDel');
    $route->any('employeeList', 'Api\EmployeeController@employeeList');

    $route->any('departAdd', 'Api\EmployeeController@departAdd');
    $route->any('departEdit', 'Api\EmployeeController@departEdit');
    $route->any('departDel', 'Api\EmployeeController@departDel');
    $route->any('departList', 'Api\EmployeeController@departList');

    $route->any('roleAdd', 'Api\EmployeeController@roleAdd');
    $route->any('roleEdit', 'Api\EmployeeController@roleEdit');
    $route->any('roleDel', 'Api\EmployeeController@roleDel');
    $route->any('roleList', 'Api\EmployeeController@roleList');
    $route->any('roleDetail', 'Api\EmployeeController@roleDetail');
    $route->any('roleMenu', 'Api\EmployeeController@roleMenu');

    $route->any('teamAdd', 'Api\EmployeeController@teamAdd');
    $route->any('teamEdit', 'Api\EmployeeController@teamEdit');
    $route->any('teamDel', 'Api\EmployeeController@teamDel');
    $route->any('teamList', 'Api\EmployeeController@teamList');
    $route->any('teamDetail', 'Api\EmployeeController@teamDetail');

    $route->any('employeeDepart', 'Api\EmployeeController@employeeDepart');
    $route->any('employeeTeam', 'Api\EmployeeController@employeeTeam');
    $route->any('employeeRole', 'Api\EmployeeController@employeeRole');
});
